Subject: Re: [rfc][patch 1/3] slub: fix small HWCACHE_ALIGN alignment

From: Pekka Enberg <[email-masked]>
Date: Mon, 03 Mar 2008 23:35:44 +0200

Hi,

Christoph Lameter wrote:
> Well the guarantee can only be exploited if you would check the cacheline 
> sizes and the object size from the code that creates the slab cache. 
> Basically you would have to guestimate what the slab allocator is doing.
> 
> So the guarantee is basically meaningless. If the object is larger than a 
> cacheline then this will never work.

Yes, I know that. That's why I am asking why this matters. If there's 
some sort of regression because SLUB does HWCACHE_ALIGN bit differently, 
we need to fix that. Not that it necessarily means we have to change 
HWCACHE_ALIGN but I am assuming Nick has some reason why he wants to 
introduce the SMP alignment flag.

			Pekka